/*
 * 
 * Authors:
 * Jing Guo <jing.guo@cs2c.com.cn>
 * Date:
 * 2012.9
 *
 * File: tcm.h
 *       tcm driver definitions
 */
#ifndef __LINUX_TCM_H__
#define __LINUX_TCM_H__

/*
 * Chip num is this value or a valid tcm idx
 */

#define TCM_ANY_NUM 0xFFFF
#define EXTEND_PCR_RESULT_SIZE 46
#define TCM_DIGEST_SIZE 32

#if defined(CONFIG_TCG_TCM) && defined(CONFIG_TCM_TIS)

extern int tcm_pcr_read(u32 chip_num, int pcr_idx, u8 *res_buf);
extern int tcm_pcr_extend(u32 chip_num, int pcr_idx, u8 *hash);

#else

static inline int tcm_pcr_read(u32 chip_num, int pcr_idx, u8 *res_buf) {
	return -ENODEV;
}
static inline int tcm_pcr_extend(u32 chip_num, int pcr_idx, u8 *hash) {
	return -ENODEV;
}

#endif


#endif
