/*
 * 
 * Authors:
 * Jing Guo <jing.guo@cs2c.com.cn>
 * Date:
 * 2012.9
 *
 * File: trust_chip.h
 *       tcm /tpm  driver definitions
 */
#ifndef __LINUX_TRUST_CHIP_H__
#define __LINUX_TRUST_CHIP_H__


#define  CHIP_ANY_NUM 0xFFFF
#if defined(CONFIG_TCG_TPM) || defined(CONFIG_TCG_TCM)
#include <linux/tcm.h> 
#include <linux/tpm.h>
static inline int pcr_read(u32 chip_num, int pcr_idx, u8 *res_buf)
{
	if(tpm_pcr_read(chip_num, pcr_idx, res_buf) < 0)
		return tcm_pcr_read(chip_num, pcr_idx, res_buf);
	return 0;
}

static inline int pcr_extend(u32 chip_num, int pcr_idx, u8 *hash)
{
	if(tpm_pcr_extend(chip_num, pcr_idx, hash) < 0)
		return tcm_pcr_extend(chip_num, pcr_idx, hash);
	return 0;
}

#else

static inline int pcr_read(u32 chip_num, int pcr_idx, u8 *res_buf)
{
	return -ENODEV;
}

static inline int pcr_extend(u32 chip_num, int pcr_idx, u8 *hash)
{
	return -ENODEV;
}
#endif

#endif
